Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233844 (perl-Convert-Bin-C) - Review Request: perl-Convert-Binary-C - Binary data conversion using C types
Summary: Review Request: perl-Convert-Binary-C - Binary data conversion using C types
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Convert-Bin-C
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: perl-bioperl
TreeView+ depends on / blocked
 
Reported: 2007-03-25 12:04 UTC by Alex Lancaster
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-03 00:03:13 UTC
panemade: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Alex Lancaster 2007-03-25 12:04:25 UTC
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Convert-Binary-C.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Convert-Binary-C-0.67-1.src.rpm
Description: 
Convert::Binary::C is a preprocessor and parser for C type definitions. It
is highly configurable and supports arbitrarily complex data structures.
Its object-oriented interface has pack and unpack methods that act as
replacements for Perl's pack and unpack and allow to use C types instead of
a string representation of the data structure for conversion of binary data
from and to Perl's complex data structures.

Comment 1 Parag AN(पराग) 2007-03-29 06:10:32 UTC
 Add perl(ExtUtils::MakeMaker) BR.


Comment 4 Parag AN(पराग) 2007-03-29 09:10:31 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
d65ad3585adaa0a3a1267e25aebc8b37  Convert-Binary-C-0.67.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
Files=58L_DL_NONLAZY=1 /usr/bin/perl "-Iblib/lib" "-Iblib/arch" test.pl
tests/001_init............ok
tests/101_basic...........ok
tests/201_config..........ok
        1/2070 skipped: no debugging
tests/202_misc............ok
tests/203_warnings........ok
tests/204_enum............ok
tests/205_pack............ok
tests/206_parse...........ok
        42/116 skipped: no debugging
tests/207_typedef.........ok
tests/208_float...........ok
tests/209_sourcify........ok
tests/210_depend..........ok
tests/211_clone...........ok
tests/212_clean...........ok
tests/213_string..........ok
tests/214_cache...........ok
tests/215_local...........ok
tests/216_language........ok
tests/217_preproc.........ok
tests/218_member..........ok
tests/219_def.............ok
tests/220_new.............ok
tests/221_asm.............ok
tests/222_ieee............ok
tests/223_initializer.....ok
tests/224_typeof..........ok
tests/225_magic...........ok
tests/226_indexed.........ok
        33/45 skipped: member ordering requires indexed hashes
tests/227_flexarray.......ok
tests/228_hooks...........ok
tests/229_substr..........ok
tests/230_compiler........ok
tests/231_align...........ok
tests/232_native..........ok
tests/233_tags............ok
tests/234_format..........ok
tests/235_basic...........ok
tests/236_typeinfo........ok
tests/237_parser..........ok
tests/238_byteorder.......ok
tests/239_macros..........ok
tests/240_offsetof........ok
tests/241_sizeof..........ok
tests/242_dimension.......ok
tests/243_parser..........ok
tests/501_bfsimple........ok
tests/502_bfmicrosoft.....ok
tests/503_bfgeneric.......ok
tests/601_speed...........ok
tests/602_threads.........ok
tests/603_complex.........ok
        80/6080 skipped: no debugging
tests/701_debug...........ok
tests/702_env.............ok
tests/703_bugs............ok
tests/801_examples........ok
tests/802_pod.............ok
tests/803_pod_coverage....ok
tests/901_memory..........ok
        396/397 skipped: no debugging
All tests successful, 552 subtests skipped.
Files=58, Tests=50334, 85 wallclock secs (60.17 cusr +  1.83 csys = 62.00 CPU)
+ Provides: C.so perl(Convert::Binary::C) = 0.67
perl(Convert::Binary::C::Cached) = 0.67

APPROVED.


Comment 5 Alex Lancaster 2007-03-29 09:19:00 UTC
New Package CVS Request
=======================
Package Name: perl-Convert-Binary-C
Short Description: Binary data conversion for Perl using C types
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

Comment 6 Alex Lancaster 2007-03-30 08:05:27 UTC
Currently working on some build failures for some architectures (ppc).

Comment 7 Alex Lancaster 2007-04-03 00:03:13 UTC
Problem was use of parallel make, which package doesn't support.  This is now
fixed in CVS by the following change: and now packages build fine in all arch
and branches.

* Mon Apr 02 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.67-4
- Remove '%{?_smp_mflags}', package does not support parallel make.

Closing bug.


Note You need to log in before you can comment on or make changes to this bug.